jQuery(document).ready(function($){
  $( 'input[type="submit"][name="run_import"]' ).click( function( e ) {
    if ( ! confirm( 'Are you sure you want to continue? Importing stock quantities will override local quantities for all matching products. Non-matching products will be left alone.' ) ) {
      return false;
    }
  } );

  var wooStockSyncSettings = {
    init: function() {
      this.triggerCredentialCheck();
    },

    triggerCredentialCheck: function() {
      var self = this;

      $( document ).on( 'click', 'a.woo-stock-sync-check-credentials', function(e) {
        e.preventDefault();
        self.checkCredentials( $( this ).closest( 'tr' ) );
      } );
    },

    checkCredentials: function( row ) {
      var self = this;
      var checkButton = $( 'a.woo-stock-sync-check-credentials', row );

      var data = {
        'action': 'woo_stock_sync_check_api_access',
        'url': $( 'input.woo-stock-sync-url', row ).val(),
        'key': $( 'input.woo-stock-sync-api-key', row ).val(),
        'secret': $( 'input.woo-stock-sync-api-secret', row ).val(),
      };

      this.showCheckProcessing( checkButton );

      jQuery.post(ajaxurl, data)
      .done(function(response) {
        responseData = jQuery.parseJSON(response);
        if ( responseData.success ) {
          self.showCheckSuccess( checkButton, woo_stock_sync_settings.check_credentials_success );
        } else {
          self.showCheckFail( checkButton, responseData.error );
        }
      })
      .fail(function(response) {
        alert( 'Error checking API credentials' );
      })
      .always(function(response) {
      });
    },

    showCheckProcessing: function( el ) {
      $( 'span.woo-stock-sync-check-credentials-indicator' ).remove();
      el.after( '<span class="woo-stock-sync-check-credentials-indicator woo-stock-sync-check-credentials-processing"></span>' );
    },

    showCheckSuccess: function( el, successMsg ) {
      $( 'span.woo-stock-sync-check-credentials-indicator' ).remove();
      el.after( '<span class="woo-stock-sync-check-credentials-indicator woo-stock-sync-check-credentials-success">' + successMsg + '</span>' );
    },

    showCheckFail: function( el, errorMsg ) {
      $( 'span.woo-stock-sync-check-credentials-indicator' ).remove();
      el.after( '<span class="woo-stock-sync-check-credentials-indicator woo-stock-sync-check-credentials-fail">' + errorMsg +'</span>' );
    },
  };

  wooStockSyncSettings.init();
});
